
<!-- test body with attribute -->

<style type="text/css" attr>
body{color:#111}
</style>

<!-- test body without attribute -->

<style type="text/css">
body{color:#111}
</style>

<!-- test single file with extension -->
<!-- sass.sass -->
<style type="text/css">
body{color:#111}
</style>

<!-- test single file without extension -->
<!-- sass.sass -->
<style type="text/css">
body{color:#111}
</style>

<!-- test single file with variable attributes -->
<!-- sass.sass -->
<style type="text/css" a="0" b="1" c="false" d="true" e="yes" f>
body{color:#111}
</style>

<!-- test multiple files with extensions -->
<!-- sass.sass, sass2.sass -->
<style type="text/css">
body{color:#111}
body{color:#222}
</style>

<!-- test multiple files without extensions -->
<!-- sass.sass, sass2.sass -->
<style type="text/css">
body{color:#111}
body{color:#222}
</style>

<!-- test multiple files with attribute -->
<!-- sass.sass, sass2.sass -->
<style type="text/css" attr>
body{color:#111}
body{color:#222}
</style>

<!-- test file that can't be read -->
<!-- 'invalid' could not be read as file -->
<link href="invalid" rel="stylesheet" type="text/css">

<!-- test multiple files with attribute -->
<!-- sass.sass -->
<style type="text/css" attr>
body{color:#111}
</style>
<!-- 'invalid' could not be read as file -->
<link href="invalid" rel="stylesheet" type="text/css" attr>

<!-- test multiple files without attribute -->
<!-- sass.sass -->
<style type="text/css">
body{color:#111}
</style>
<!-- 'invalid' could not be read as file -->
<link href="invalid" rel="stylesheet" type="text/css">
